summaryrefslogtreecommitdiff
path: root/src-3.0/gfeditor.in
diff options
context:
space:
mode:
authoraarne <aarne@cs.chalmers.se>2008-05-21 09:26:44 +0000
committeraarne <aarne@cs.chalmers.se>2008-05-21 09:26:44 +0000
commit055c0d0d5a5bb0dc75904fe53df7f2e4f5732a8f (patch)
tree0e63fb68c69c8f6ad0f78893c63420f0a3600e1c /src-3.0/gfeditor.in
parent915a1de71783ab8446b1af9e72c7ba7dfbc12d3f (diff)
GF/src is now for 2.9, and the new sources are in src-3.0 - keep it this way until the release of GF 3
Diffstat (limited to 'src-3.0/gfeditor.in')
-rw-r--r--src-3.0/gfeditor.in42
1 files changed, 42 insertions, 0 deletions
diff --git a/src-3.0/gfeditor.in b/src-3.0/gfeditor.in
new file mode 100644
index 000000000..129cd5e1f
--- /dev/null
+++ b/src-3.0/gfeditor.in
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+prefix="@prefix@"
+
+case "@host@" in
+ *-cygwin)
+ prefix=`cygpath -w "$prefix"`;;
+esac
+
+exec_prefix="@exec_prefix@"
+GF_BIN_DIR="@bindir@"
+GF_DATA_DIR="@datadir@/GF-@PACKAGE_VERSION@"
+
+JAVA="@JAVA@"
+
+GF="$GF_BIN_DIR/gf"
+JARFILE="$GF_DATA_DIR/gfeditor.jar"
+
+if [ ! -x "${JAVA}" ]; then
+ JAVA=`which java`
+fi
+
+if [ ! -x "${JAVA}" ]; then
+ echo "No Java VM found."
+ exit 1
+fi
+
+if [ ! -r "${JARFILE}" ]; then
+ echo "Cannot read JAR file ${JARFILE}."
+ exit 1
+fi
+
+if [ ! -x "${GF}" ]; then
+ GF=`which gf`
+fi
+
+if [ ! -x "${GF}" ]; then
+ echo "GF not found."
+ exit 1
+fi
+
+exec "${JAVA}" -jar "${JARFILE}" -g "${GF}" $*